## php-codeigniter-framework 3.1.13%2Bdfsg1

=== debian/watch ===
version=4
options=uversionmangle=s/-?([^\d.]+)/~$1/;tr/A-Z/a-z/,\
dversionmangle=s/@DEB_EXT@//,\
oversionmangle=s/$/\+dfsg/,\
mode=git,gitmode=full,gitexport=all \
https://github.com/bcit-ci/CodeIgniter \
refs/tags/?(\d.+) debian bash debian/repack.sh
