=== debian/changelog ===
php-codeigniter-framework (3.1.13+dfsg1-7) unstable; urgency=medium

  * Bump Standards-Version to 4.7.0 (no change required)
  * d/rules: check for 'nocheck' DEB_BUILD_OPTIONS
  * Add patches to fix tests when using phpunit 12.

 -- Fab Stz <fabstz-it@yahoo.fr>  Tue, 26 Aug 2025 09:51:09 +0200

php-codeigniter-framework (3.1.13+dfsg1-6) unstable; urgency=medium

  * add patches to support PHP8.x for XMLRPC
  * add patch to fix php8.4 deprecation warnings in XMLRPC
  * add patch reinit_static_variable_when_switching_db_in_tests.patch

 -- Fab Stz <fabstz-it@yahoo.fr>  Mon, 03 Feb 2025 12:20:00 +0100

php-codeigniter-framework (3.1.13+dfsg1-5) unstable; urgency=medium

  * add patches to support php 8.4
  * update php 8.4 patches to work on php < 7 as well

 -- Fab Stz <fabstz-it@yahoo.fr>  Sat, 07 Dec 2024 09:37:11 +0100

php-codeigniter-framework (3.1.13+dfsg1-4) unstable; urgency=medium

  * d/control: add build-dep to python3-setuptools (Closes: #1069803)

 -- Fab Stz <fabstz-it@yahoo.fr>  Sat, 27 Apr 2024 07:45:07 +0200

php-codeigniter-framework (3.1.13+dfsg1-3) unstable; urgency=medium

  [ Athos Ribeiro ]
  * fix FTBFS with Python 3.12 (Closes: #1061575)

  [ Fab Stz ]
  * fix FTBFS because of failing test with php 8.3 (Closes: #1061574)

 -- Fab Stz <fabstz-it@yahoo.fr>  Sat, 03 Feb 2024 21:53:51 +0100

php-codeigniter-framework (3.1.13+dfsg1-2) unstable; urgency=medium

  * update 10-php82_support-part2.patch using upstream implementation

 -- Fab Stz <fabstz-it@yahoo.fr>  Wed, 20 Dec 2023 11:57:21 +0100

php-codeigniter-framework (3.1.13+dfsg1-1) unstable; urgency=medium

  * Initial release. Closes: #471583

 -- Fab Stz <fabstz-it@yahoo.fr>  Fri, 01 Sep 2023 13:20:35 -0400
