=== debian/control ===
Source: php-codeigniter-framework
Section: php
Priority: optional
Maintainer: Debian PHP PEAR Maintainers <pkg-php-pear@lists.alioth.debian.org>
Uploaders: Fab Stz <fabstz-it@yahoo.fr>
Build-Depends: debhelper-compat (= 13),
               dh-apache2,
               dh-sequence-phpcomposer,
               dh-sequence-sphinxdoc <!nodoc>,
               php-mikey179-vfsstream <!nocheck>,
               phpunit <!nocheck>,
               pkg-php-tools (>= 1.7~),
               python3-setuptools <!nodoc>,
               python3-sphinx-rtd-theme <!nodoc>,
               python3-sphinxcontrib.phpdomain <!nodoc>,
               python3-venv <!nodoc>,
               python3-pip <!nodoc>,
Standards-Version: 4.7.0
Rules-Requires-Root: binary-targets
Homepage: https://codeigniter.com/
Vcs-Browser: https://salsa.debian.org/php-team/pear/php-codeigniter-framework
Vcs-Git: https://salsa.debian.org/php-team/pear/php-codeigniter-framework.git

Package: php-codeigniter-framework
Architecture: all
Depends: libapache2-mod-php, ${misc:Depends}, ${phpcomposer:Debian-require}
Recommends: ${misc:Recommends}, ${phpcomposer:Debian-recommend}
Suggests: php-codeigniter-framework-doc, ${phpcomposer:Debian-suggest}
Conflicts: ${phpcomposer:Debian-conflict}
Provides: ${phpcomposer:Debian-provide}
Description: ${phpcomposer:description}
 CodeIgniter is an Application Development Framework - a toolkit - for people
 who build web sites using PHP. Its goal is to enable you to develop projects
 much faster than you could if you were writing code from scratch, by providing
 a rich set of libraries for commonly needed tasks, as well as a simple
 interface and logical structure to access these libraries. CodeIgniter lets
 you creatively focus on your project by minimizing the amount of code needed
 for a given task.

Package: php-codeigniter-framework-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}, ${sphinxdoc:Depends}
Recommends: php-codeigniter-framework
Description: Documentation for CodeIgniter 3 Framework
 CodeIgniter is an Application Development Framework - a toolkit - for people
 who build web sites using PHP. Its goal is to enable you to develop projects
 much faster than you could if you were writing code from scratch, by providing
 a rich set of libraries for commonly needed tasks, as well as a simple
 interface and logical structure to access these libraries. CodeIgniter lets
 you creatively focus on your project by minimizing the amount of code needed
 for a given task.
 .
 This package contains the documentation.
