=== debian/rules ===
#!/usr/bin/make -f
export DH_VERBOSE = 1

include /usr/share/dpkg/pkg-info.mk

%:
	dh $@ --with apache2

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS) $(DEB_BUILD_PROFILES)))
	cd tests && phpunit
endif

debian/build-doc/pythonvenv/bin/python:
	mkdir -p debian/build-doc/pythonvenv
	python3 -m venv --system-site-packages --without-pip debian/build-doc/pythonvenv

pycilexer: debian/build-doc/pythonvenv/bin/python
	if ! debian/build-doc/pythonvenv/bin/python -m pip show pycilexer; then \
	  echo "Installing pycilexer" && \
	  cd user_guide_src/cilexer && \
	  ../../debian/build-doc/pythonvenv/bin/python -m pip install .; \
	fi

ifeq ($(filter nodoc,$(DEB_BUILD_OPTIONS) $(DEB_BUILD_PROFILES)),)
execute_before_dh_installdocs: pycilexer
	make -C user_guide_src clean

	make -C user_guide_src html \
	 SPHINXBUILD="../debian/build-doc/pythonvenv/bin/python /usr/bin/sphinx-build" \
	 BUILDDIR=../debian/build-doc/user_guide \
	 SPHINXOPTS="-D version=$(DEB_VERSION_UPSTREAM) -D release=$(DEB_VERSION_UPSTREAM)"

	make -C user_guide_src text \
	  SPHINXBUILD="../debian/build-doc/pythonvenv/bin/python /usr/bin/sphinx-build" \
	  BUILDDIR=../debian/build-doc/user_guide \
	  SPHINXOPTS="-D version=$(DEB_VERSION_UPSTREAM) -D release=$(DEB_VERSION_UPSTREAM)"
endif

override_dh_compress:
	dh_compress -X usr/share/doc/php-codeigniter-framework/html

execute_after_dh_fixperms:
	chown www-data:www-data debian/php-codeigniter-framework/var/log/php-codeigniter-framework/
