=== debian/tests/control ===
Test-Command: cd tests && phpunit
Restrictions: rw-build-tree, allow-stderr
Depends: php-mikey179-vfsstream, phpab, phpunit, pkg-php-tools, @
